Bug 701237 - Review Request: perl-Test-Trap - Trap exit codes, exceptions, output, etc
Summary: Review Request: perl-Test-Trap - Trap exit codes, exceptions, output, etc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 701119
TreeView+ depends on / blocked
 
Reported: 2011-05-02 08:44 UTC by Petr Šabata
Modified: 2014-01-28 13:02 UTC (History)
3 users (show)

Fixed In Version: perl-Test-Trap-0.2.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 01:07:48 UTC
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2011-05-02 08:44:13 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/perl-Test-Trap/perl-Test-Trap.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/perl-Test-Trap/perl-Test-Trap-0.2.1-1.fc14.src.rpm
Description:
Primarily (but not exclusively) for use in test scripts: A block eval on
steroids, configurable and extensible, but by default trapping (Perl)
STDOUT, STDERR, warnings, exceptions, would-be exit codes, and return
values from boxed blocks of test code.

Comment 1 Petr Šabata 2011-05-02 08:45:49 UTC
Note rpmlint complains about script interpreter in documentation files.
This is just documentation, not real scripts. I don't intend to change that.

Comment 2 Marcela Mašláňová 2011-05-02 13:14:06 UTC
- rpmlint
W: spelling-error %description -l en_US eval -> veal, vela, val
E: wrong-script-interpreter /usr/share/doc/perl-Test-Trap-0.2.1/xt/author/pod-coverage.t perl
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=3044551
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

APPROVED

Comment 3 Petr Šabata 2011-05-02 13:21:58 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Trap
Short Description: Trap exit codes, exceptions, output, etc
Owners: psabata, ppisar, mmaslano, 
Branches: f14 f15
InitialCC: perl-sig

Comment 4 Petr Šabata 2011-05-03 08:40:32 UTC
New Package SCM Request
=======================
Package Name: perl-Test-Trap
Short Description: Trap exit codes, exceptions, output, etc
Owners: psabata, ppisar, mmaslano
Branches: f14 f15
InitialCC: perl-sig

Comment 5 Jason Tibbitts 2011-05-05 18:39:49 UTC
Git done (by process-git-requests).

Comment 6 Petr Šabata 2011-05-06 07:10:16 UTC
Thank you for the repo and the review!

Comment 7 Fedora Update System 2011-05-06 10:38:58 UTC
perl-Test-Trap-0.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-Trap-0.2.1-1.fc14

Comment 8 Fedora Update System 2011-05-06 10:39:15 UTC
perl-Test-Trap-0.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-Trap-0.2.1-1.fc15

Comment 9 Fedora Update System 2011-05-07 02:55:46 UTC
perl-Test-Trap-0.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 10 Fedora Update System 2011-05-17 01:07:43 UTC
perl-Test-Trap-0.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 11 Fedora Update System 2011-05-19 05:05:37 UTC
perl-Test-Trap-0.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Lubomir Rintel 2014-01-28 11:42:12 UTC
Package Change Request
======================
Package Name: perl-Test-Trap
New Branches: epel7
InitialCC: perl-sig
Owners: lkundrak

Fedora maintainer, psabata, is not maintaining EPEL packages:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo

Comment 13 Gwyn Ciesla 2014-01-28 13:02:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.